[Overview][Classes][Index] | Reference for unit 'nvContext' (#nvidia-widgets)

# UIContext.doTextureView

UI method for drawing a texture view

## Declaration

Source position: nvcontext.pas line 186

`public procedure UIContext.doTextureView(`
`const aRect: Rect;`
`const texID: Integer;`
`zoomRect: Rect;`
`mipLevel: Integer = -1;`
`texelScale: Double = 1;`
`texelOffset: Double = 0;`
`red: Integer = 0;`
`green: Integer = 1;`
`blue: Integer = 2;`
`alpha: Integer = 3;`
`style: Integer = 0`
`);`

## Arguments

`aRect` |  | provides a location and size for the texture view
`texID` |  | texture identifier (Graphics API specific)
`zoomRect` |  | rectangle area of the texture displayed
`mipLevel` |  | mip Level of the texture displayed
`texelScale` |  | scale applied to the texel fetch
`texelOffset` |  | offset applied to the texel after scale
`style` |  | optional style flag to modify the look

## Description

Several parameters control the equation used to display the texel

    texel = texture2DFetch(...);
    pixel = texelSwizzling( texel * texelScale + texelOffset );